'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.prop = prop;

var _trimkit = require('trimkit');

function prop(store, callback) {
    var version = 0;

    var accessor = function _prop() {
        var args = (0, _trimkit.asArray)(arguments);
        if (args.length) {
            version += 1;
            store = args[0];
            if (callback) {
                callback(store);
            }
        }
        return store;
    };
    accessor.v = function () {
        return version;
    };

    return accessor;
}