"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.toggle = toggle;
var toggleWeakMap = new WeakMap();

function toggle(prop) {
    if (!toggleWeakMap.has(prop)) {
        toggleWeakMap.set(prop, function _toggle() {
            prop(!prop());
        });
    }

    return toggleWeakMap.get(prop);
}