// @flow

// Patch Action codes
export const ADD_ACTION = 0;
export const UPDATE_ACTION = 1;
export const REMOVE_ACTION = 2;
export const MOVE_ACTION = 3;
export const REGISTER_STYLE = 4;

// Patch Indexes
export const PATCH_TYPE = 0;
export const PATCH_ELEMENT_ID = 1;
export const PATCH_DATA = 2;
export const PATCH_RM_DATA = 3;
export const PATCH_AM_DATA = 4;

export const REGISTER_STYLE_SELECTOR = 1;
export const REGISTER_STYLE_CSS = 2;

export const TEXT_NODE_VALUE = '#text';

// Tag Indexes
export const TAG_NAME = 0;
export const TAG_ATTRS = 1;
export const TAG_CHILDREN = 2;

// Attribute Access Types
export const ELEMENT_PROPERTY = 0;
export const ELEMENT_ATTRIBUTE = 1;
export const ELEMENT_EVENT = 2;
export const RUN_AFTER_ACTION = 3;
export const ELEMENT_LIFECYCLE_EVENT = 4;
export const LOCAL_ELEMENT_LIFECYCLE_EVENT = 5;
export const LAYOUT_REQUEST_EVENT = 6;

export const GENERIC_ERROR_MESSAGE = 'Error: see console for details';
