'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});


// Patch Action codes
var ADD_ACTION = exports.ADD_ACTION = 0;
var UPDATE_ACTION = exports.UPDATE_ACTION = 1;
var REMOVE_ACTION = exports.REMOVE_ACTION = 2;
var MOVE_ACTION = exports.MOVE_ACTION = 3;
var REGISTER_STYLE = exports.REGISTER_STYLE = 4;

// Patch Indexes
var PATCH_TYPE = exports.PATCH_TYPE = 0;
var PATCH_ELEMENT_ID = exports.PATCH_ELEMENT_ID = 1;
var PATCH_DATA = exports.PATCH_DATA = 2;
var PATCH_RM_DATA = exports.PATCH_RM_DATA = 3;
var PATCH_AM_DATA = exports.PATCH_AM_DATA = 4;

var REGISTER_STYLE_SELECTOR = exports.REGISTER_STYLE_SELECTOR = 1;
var REGISTER_STYLE_CSS = exports.REGISTER_STYLE_CSS = 2;

var TEXT_NODE_VALUE = exports.TEXT_NODE_VALUE = '#text';

// Tag Indexes
var TAG_NAME = exports.TAG_NAME = 0;
var TAG_ATTRS = exports.TAG_ATTRS = 1;
var TAG_CHILDREN = exports.TAG_CHILDREN = 2;

// Attribute Access Types
var ELEMENT_PROPERTY = exports.ELEMENT_PROPERTY = 0;
var ELEMENT_ATTRIBUTE = exports.ELEMENT_ATTRIBUTE = 1;
var ELEMENT_EVENT = exports.ELEMENT_EVENT = 2;
var RUN_AFTER_ACTION = exports.RUN_AFTER_ACTION = 3;
var ELEMENT_LIFECYCLE_EVENT = exports.ELEMENT_LIFECYCLE_EVENT = 4;
var LOCAL_ELEMENT_LIFECYCLE_EVENT = exports.LOCAL_ELEMENT_LIFECYCLE_EVENT = 5;
var LAYOUT_REQUEST_EVENT = exports.LAYOUT_REQUEST_EVENT = 6;

var GENERIC_ERROR_MESSAGE = exports.GENERIC_ERROR_MESSAGE = 'Error: see console for details';