// @flow
import { asArray } from 'trimkit';


export function prop(store, callback) {
    let version = 0;

    const accessor = function _prop() {
        const args = asArray(arguments);
        if (args.length) {
            version += 1;
            store = args[0];
            if (callback) {
                callback(store);
            }
        }
        return store;
    };
    accessor.v = () => version;

    return accessor;
}
